Input field eval datetime in FlexForm converts to wrong timestamp
Description

A input field with eval datetime converts to a wrong timestamp.
After saving a form, the date will have a difference of 2 or 4 hours (Summertime).

Related issues:

Related to TYPO3 Core - Bug #79557: Date fields DataMapper handling problem New 2017-01-30
Related to TYPO3 Core - Bug #79613: Saving wrong Date into DB if Field is of ... New 2017-02-03
Related to TYPO3 Core - Bug #68651: Datetime() properties have wrong timezone Accepted 2015-07-30
Is duplicate of TYPOS3 Core - Bug #79249: TCA fields with eval types "time" or... Closed 2017-01-10
History

#1 - 2017-04-15 00:06 - Mona Muzaffar

- Related to Bug #79957: TCA fields with eval types "time" or "timesec" decrease on every save added

#2 - 2017-04-15 00:06 - Mona Muzaffar
- Related to Bug #79557: Date fields DataMapper handling problem added

#3 - 2017-04-15 00:07 - Mona Muzaffar
- Related to Bug #79613: Saving wrong Date into DB if Field is of type DATE added

#4 - 2017-04-15 00:18 - Mona Muzaffar
- Related to Bug #68651: Datetime() properties have wrong timezone added

#5 - 2017-04-15 00:38 - Mona Muzaffar
- Related to Epic #80852: Datetime handling in backend added

#6 - 2017-05-01 09:27 - R3 H6

| like to be more precise.

Eval set to datetime seems to work fine in FlexForm.

The problem is if eval is set to time, then the time changes with every saving.

As far as | could see the difference between datetime and time is, that in DataHandler::checkValue_input_Eval $value is an timestamp for time

(1494418260), and a date string for datetime (2017-05-10T14:11:00+00:00).
Maybe the problem is somewhere in a JavaScript.

#7 - 2017-06-06 18:30 - Markus Klein
- Status changed from New to Accepted
- Parent task set to #77562

- Is Regression changed from No to Yes

#8 - 2017-06-06 19:08 - Markus Klein
- Status changed from Accepted to Closed
- Parent task deleted (#77562)

Same issue as #79957. Closing as duplicate.

#9 - 2017-06-06 19:08 - Markus Klein

- Related to deleted (Bug #79957: TCA fields with eval types "time" or "timesec" decrease on every save)

#10 - 2017-06-06 19:08 - Markus Klein

- Is duplicate of Bug #79957: TCA fields with eval types "time" or "timesec" decrease on every save added

#11 - 2017-06-07 11:02 - Markus Klein
- Related to deleted (Epic #80852: Datetime handling in backend)

#12 - 2017-06-07 15:49 - Markus Klein
- Is duplicate of Bug #79249: TCA fields with eval types "time" or "timesec" are incorrectly stored in the database added

#13 - 2017-06-07 15:49 - Markus Klein

- Is duplicate of deleted (Bug #79957: TCA fields with eval types "time" or "timesec" decrease on every save)
